c         general purpose matrix multiplier
c         ---------------------------------
c
      subroutine mtxmul(a,b,c,l,m,n)
      real * 4  a(l,m),b(n,l),c(n,m)
c
      do i=1,m
      do j=1,n
         c(j,i) = 0
         do k=1,l
            c(j,i) = c(j,i) + a(k,i)*b(j,k)
         enddo
      enddo
      enddo
c
      return
      end
